> For the complete documentation index, see [llms.txt](https://docs.high-mobility.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.high-mobility.com/oem-guides/stellantis/clearance-lifecycle.md).

# Clearance Lifecycle

{% hint style="warning" %}
The following flows are closely related to OEM integrations and our internal software, and are subject to change without prior notice.
{% endhint %}

## Activation

The following flowchart explains the high level of activation procedure&#x20;

{% @mermaid/diagram content="graph TD
classDef eventProducerErrorClass fill:red,color:white;
classDef eventProducerSuccessClass fill:green;
ActivationRequest\[Activation Requested] --> CheckThereIsOnGoing{In progress?₁}
CheckThereIsOnGoing --> |yes| CheckThereIsOnGoing
CheckThereIsOnGoing --> |no| AlreadyActive{Already in<br />HM Fleet?₂}
AlreadyActive --> |yes| CheckForPackage{Use<br /> the same package?}
CheckForPackage --> |no| Rejected:::eventProducerErrorClass
AlreadyActive --> |no| CheckEligibility{Check Eligibility }
CheckEligibility --> |eligibel| ActivateVehilce\[Activate Vehicle]
CheckForPackage --> |yes| Approved:::eventProducerSuccessClass
CheckEligibility --> |ineligible| Rejected
ActivateVehilce --> OemConfirmed{Wait until activated<br />on OEM side?}
OemConfirmed --> |yes| VerifyDataDelivery{Wait until data is being delivered?₃}
VerifyDataDelivery --> |10 days past| RemoveVehicleFromOEM --> Rejected
VerifyDataDelivery --> |yes| Approved
RemoveVehicleFromOEM --> WaitForOEMConfirmation{Wait for OEM Confirmation₄}
WaitForOEMConfirmation --> WaitForOEMConfirmation
" %}

1. If this vin is already used by any of our customers and in transition, your activation gets paused. It includes when this vehicle is revoked/canceled by HM status but OEM side hasn't confirmed it yet.&#x20;
2. You may use one VIN from stellantis brand in multiple app as long as they use the package.&#x20;
3. We only change status of the vehicle to `approved` only we have received data for that vehicle. If no data is delivered in 10 days, we change the vehicle status to `rejected` and remove the vehicle from OEM side.
4. Event hough you see the vehicle status as  `rejected` in [Broken mention](broken://spaces/GqovsBFw7seb5vTEwucj/pages/e3dc80cb7ed2c3f7524aacc7a422fc0e05f7b4a4), you can only activate this vehicle again if we get confirmation from OEM that they have removed it on their side.

## Deactivation

The following flowchart explains the high level of deactivation procedure

{% @mermaid/diagram content="graph TD
classDef eventProducerSuccessClass fill:orange;
DeactivationRequest --> VehicleIsUsedByAnotherCustomer{Is vehicled<br/>used by another app?}
VehicleIsUsedByAnotherCustomer --> |no| RemoveVehicleFromOEM\[Deactivate Vehicle<br />On OEM side]
RemoveVehicleFromOEM --> Revoked:::eventProducerSuccessClass
RemoveVehicleFromOEM --> WaitForOEMConfirmation{Wait for OEM Confirmation₁}
WaitForOEMConfirmation --> WaitForOEMConfirmation
VehicleIsUsedByAnotherCustomer --> |yes| Revoked\[Revoked/Canceled]
" %}

1. If you deactivate a vehicle, event hough you might see its status as  `revoked` in [Broken mention](broken://spaces/GqovsBFw7seb5vTEwucj/pages/e3dc80cb7ed2c3f7524aacc7a422fc0e05f7b4a4), you can only activate this vehicle again if we get confirmation from OEM that they have removed it on their side.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.high-mobility.com/oem-guides/stellantis/clearance-lifecycle.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
